aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaKooLit <ejhay.games@gmail.com>2025-03-01 02:13:26 +0900
committerJaKooLit <ejhay.games@gmail.com>2025-03-01 02:13:26 +0900
commit2fff5bbbd16acbcbd05f4608c32c0756bbcd4dd5 (patch)
treeb17bf5f0f65333b3a261219fe4f2e927807f2dd6
parent779c34304ab43e6cd07c256897908335d7997da3 (diff)
accel_profile disabled by default. Added some initial prompts to release and upgrade scripts
-rw-r--r--config/hypr/UserConfigs/UserSettings.conf2
-rwxr-xr-xrelease.sh54
-rwxr-xr-xupgrade.sh38
3 files changed, 83 insertions, 11 deletions
diff --git a/config/hypr/UserConfigs/UserSettings.conf b/config/hypr/UserConfigs/UserSettings.conf
index 9b526f2d..6a4de234 100644
--- a/config/hypr/UserConfigs/UserSettings.conf
+++ b/config/hypr/UserConfigs/UserSettings.conf
@@ -35,7 +35,7 @@ input {
repeat_delay = 300
sensitivity = 0 #mouse sensitivity
- accel_profile = # flat or adaptive or blank or EMPTY means libinput’s default mode
+ #accel_profile = # flat or adaptive or blank or EMPTY means libinput’s default mode
numlock_by_default = true
left_handed = false
follow_mouse = true
diff --git a/release.sh b/release.sh
index 66224972..b3e77e9c 100755
--- a/release.sh
+++ b/release.sh
@@ -6,12 +6,58 @@
OK="$(tput setaf 2)[OK]$(tput sgr0)"
ERROR="$(tput setaf 1)[ERROR]$(tput sgr0)"
NOTE="$(tput setaf 3)[NOTE]$(tput sgr0)"
+INFO="$(tput setaf 4)[INFO]$(tput sgr0)"
WARN="$(tput setaf 1)[WARN]$(tput sgr0)"
CAT="$(tput setaf 6)[ACTION]$(tput sgr0)"
-MAGENTA=$(tput setaf 5)
-WARNING=$(tput setaf 1)
-YELLOW=$(tput setaf 3)
-RESET=$(tput sgr0)
+MAGENTA="$(tput setaf 5)"
+ORANGE="$(tput setaf 214)"
+WARNING="$(tput setaf 1)"
+YELLOW="$(tput setaf 3)"
+GREEN="$(tput setaf 2)"
+BLUE="$(tput setaf 4)"
+SKY_BLUE="$(tput setaf 6)"
+RESET="$(tput sgr0)"
+
+# Check /etc/os-release to see if this is an Ubuntu or Debian based distro
+if grep -iq '^\(ID_LIKE\|ID\)=.*\(debian\|ubuntu\)' /etc/os-release >/dev/null 2>&1; then
+ printf "\n%.0s" {1..1}
+ print_color $WARNING "
+ █▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀▀█
+ KOOL DOTS version INCOMPATIBLE
+ █▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄▄█
+
+ Debian / Ubuntu detected. Refer to Hyprland-Dots README
+ For instruction on how to update your KooL Hyprland Dots
+
+ exiting ....
+ "
+ printf "\n%.0s" {1..3}
+ exit 1
+fi
+
+
+printf "\n%.0s" {1..1}
+echo -e "\e[35m
+ ╦╔═┌─┐┌─┐╦ ╔╦╗┌─┐┌┬┐┌─┐
+ ╠╩╗│ ││ │║ ║║│ │ │ └─┐ 2025
+ ╩ ╩└─┘└─┘╩═╝ ═╩╝└─┘ ┴ └─┘ release.sh
+\e[0m"
+printf "\n%.0s" {1..1}
+
+echo "${WARNING}A T T E N T I O N !${RESET}"
+echo "${SKY_BLUE}This script is meant to download from the "RELEASES" on the KooL Hyprland-Dots${RESET}"
+echo "${YELLOW}Kindly note that the RELEASES is one version older that from main${RESET}"
+printf "\n%.0s" {1..1}
+echo "${MAGENTA}If you want to get the latest, kindly ran the ${SKY_BLUE}copy.sh${RESET} ${MAGENTA}instead${RESET}"
+printf "\n%.0s" {1..1}
+read -p "${CAT} - Would you like to proceed and install from releases? (y/n): ${RESET}" proceed
+
+if [ "$proceed" != "y" ]; then
+ printf "\n%.0s" {1..1}
+ echo "${INFO} Installation aborted. ${SKY_BLUE}No changes in your system.${RESET} ${YELLOW}Goodbye!${RESET}"
+ printf "\n%.0s" {1..1}
+ exit 1
+fi
printf "${NOTE} Downloading / Checking for existing Hyprland-Dots.tar.gz...\n"
diff --git a/upgrade.sh b/upgrade.sh
index 8c900f44..0039cee6 100755
--- a/upgrade.sh
+++ b/upgrade.sh
@@ -3,18 +3,44 @@
# for Semi-Manual upgrading your system.
# NOTE: requires rsync
-
# Set some colors for output messages
OK="$(tput setaf 2)[OK]$(tput sgr0)"
ERROR="$(tput setaf 1)[ERROR]$(tput sgr0)"
NOTE="$(tput setaf 3)[NOTE]$(tput sgr0)"
+INFO="$(tput setaf 4)[INFO]$(tput sgr0)"
WARN="$(tput setaf 1)[WARN]$(tput sgr0)"
CAT="$(tput setaf 6)[ACTION]$(tput sgr0)"
-MAGENTA=$(tput setaf 5)
-WARNING=$(tput setaf 1)
-YELLOW=$(tput setaf 3)
-RESET=$(tput sgr0)
+MAGENTA="$(tput setaf 5)"
+ORANGE="$(tput setaf 214)"
+WARNING="$(tput setaf 1)"
+YELLOW="$(tput setaf 3)"
+GREEN="$(tput setaf 2)"
+BLUE="$(tput setaf 4)"
+SKY_BLUE="$(tput setaf 6)"
+RESET="$(tput sgr0)"
+
+printf "\n%.0s" {1..1}
+echo -e "\e[35m
+ ╦╔═┌─┐┌─┐╦ ╔╦╗┌─┐┌┬┐┌─┐
+ ╠╩╗│ ││ │║ ║║│ │ │ └─┐ 2025
+ ╩ ╩└─┘└─┘╩═╝ ═╩╝└─┘ ┴ └─┘ upgrade.sh
+\e[0m"
+printf "\n%.0s" {1..1}
+
+echo "${WARNING}A T T E N T I O N !${RESET}"
+echo "${SKY_BLUE}This script is meant to manually upgrade your KooL Hyprland Dots${RESET}"
+echo "${YELLOW}NOTE that you should edit this script and assign an Directory or Files exclusion${RESET}"
+printf "\n%.0s" {1..1}
+echo "${MAGENTA}If you are not sure what you are doing,ran the ${SKY_BLUE}copy.sh${RESET} ${MAGENTA}instead${RESET}"
+printf "\n%.0s" {1..1}
+read -p "${CAT} - Would you like to proceed (y/n): ${RESET}" proceed
+if [ "$proceed" != "y" ]; then
+ printf "\n%.0s" {1..1}
+ echo "${INFO} Installation aborted. ${SKY_BLUE}No changes in your system.${RESET} ${YELLOW}Goodbye!${RESET}"
+ printf "\n%.0s" {1..1}
+ exit 1
+fi
# Create Directory for Upgrade Logs
if [ ! -d Upgrade-Logs ]; then
@@ -150,7 +176,7 @@ if version_gt "$latest_version" "$stored_version"; then
echo "$MAGENTA Upgrade declined. No files or folders changed" 2>&1 | tee -a "$LOG"
fi
else
- echo "$OK No upgrade found. The installed version ($stored_version) is up to date with the Hyprland-Dots version ($latest_version)." 2>&1 | tee -a "$LOG"
+ echo "$OK 👌 No upgrade found. The installed version ${MAGENTA}($stored_version)${RESET} is up to date with the KooL Hyprland-Dots version ${YELLOW}($latest_version)${RESET}" 2>&1 | tee -a "$LOG"
fi
printf "\n%.0s" {1..3}
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage